| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GL3PlusHardwareBuffer Class Reference

`#include <OgreGL3PlusHardwareBuffer.h>`

## Public Member Functions
| GL3PlusHardwareBuffer (GLenum target, size_t sizeInBytes, uint32 usage)
| ~GL3PlusHardwareBuffer ()
void | copyData (GLuint srcBufferId, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer)
GLuint | getGLBufferId (void) const
void * | lockImpl (size_t offset, size_t length, HardwareBuffer::LockOptions options)
void | readData (size_t offset, size_t length, void *pDest)
void | unlockImpl ()
void | writeData (size_t offset, size_t length, const void *pSource, bool discardWholeBuffer)

## Constructor & Destructor Documentation

## ◆ GL3PlusHardwareBuffer()

Ogre::GL3PlusHardwareBuffer::GL3PlusHardwareBuffer | ( | GLenum | target,
|  | size_t | sizeInBytes,
|  | uint32 | usage
| ) |  |

## ◆ ~GL3PlusHardwareBuffer()

Ogre::GL3PlusHardwareBuffer::~GL3PlusHardwareBuffer | ( |  | ) |

## Member Function Documentation

## ◆ lockImpl()

void* Ogre::GL3PlusHardwareBuffer::lockImpl | ( | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options
| ) |  |

## ◆ unlockImpl()

void Ogre::GL3PlusHardwareBuffer::unlockImpl | ( |  | ) |

## ◆ readData()

void Ogre::GL3PlusHardwareBuffer::readData | ( | size_t | offset,
|  | size_t | length,
|  | void * | pDest
| ) |  |

## ◆ writeData()

void Ogre::GL3PlusHardwareBuffer::writeData | ( | size_t | offset,
|  | size_t | length,
|  | const void * | pSource,
|  | bool | discardWholeBuffer
| ) |  |

## ◆ copyData()

void Ogre::GL3PlusHardwareBuffer::copyData | ( | GLuint | srcBufferId,
|  | size_t | srcOffset,
|  | size_t | dstOffset,
|  | size_t | length,
|  | bool | discardWholeBuffer
| ) |  |

## ◆ getGLBufferId()

GLuint Ogre::GL3PlusHardwareBuffer::getGLBufferId | ( | void |  | ) | const
| inline

Referenced by Ogre::GL3PlusHardwareCounterBuffer::getGLBufferId(), Ogre::GL3PlusHardwareIndexBuffer::getGLBufferId(), Ogre::GL3PlusHardwareUniformBuffer::getGLBufferId(), Ogre::GL3PlusHardwareShaderStorageBuffer::getGLBufferId(), and Ogre::GL3PlusHardwareVertexBuffer::getGLBufferId().

The documentation for this class was generated from the following file:

- OgreGL3PlusHardwareBuffer.h